<div class="video-miniature" [ngClass]="getClasses()" (mouseenter)="loadActions()" (focusin)="loadActions()">
  <my-video-thumbnail
    [ariaLabel]="getAriaLabel()"
    [video]="video()" [nsfw]="isVideoBlur" [videoRouterLink]="videoRouterLink" [videoHref]="videoHref" [videoTarget]="videoTarget"
    [displayWatchLaterPlaylist]="isWatchLaterPlaylistDisplayed()" [inWatchLaterPlaylist]="inWatchLaterPlaylist" (watchLaterClick)="onWatchLaterClick($event)"
  >
    @if (displayOptions().privacyLabel) {
      <ng-container ngProjectAs="label-warning" *ngIf="isUnlistedVideo()" i18n>Unlisted</ng-container>
      <ng-container ngProjectAs="label-danger" *ngIf="isPrivateVideo()" i18n>Private</ng-container>
      <ng-container ngProjectAs="label-danger" *ngIf="isPasswordProtectedVideo()" i18n>Password protected</ng-container>
    }
  </my-video-thumbnail>

  <div class="video-info">
    <div *ngIf="displayOptions().avatar || displayOptions().by" class="owner min-width-0">
      @if (displayOptions().avatar) {

        @if (displayOwnerVideoChannel()) {
          <my-actor-avatar
            [title]="channelLinkTitle" actorType="channel" [size]="actorImageSize()"
            [actor]="video().channel" [internalHref]="[ '/c', video().byVideoChannel ]"
          ></my-actor-avatar>
        } @else if (displayOwnerAccount()) {
          <my-actor-avatar
            [title]="channelLinkTitle" actorType="account" [size]="actorImageSize()"
            [actor]="video().account"  [internalHref]="[ '/c', video().byVideoChannel ]"
          ></my-actor-avatar>
        }
      }

      <div class="owner-container" *ngIf="displayOptions().by">
        <my-link
          class="owner-label" className="ellipsis"
          [internalLink]="ownerRouterLink" [href]="ownerHref" [target]="ownerTarget" inheritParentStyle="true"
          [ariaLabel]="getAriaLabel()"
          [title]="displayOwnerAccount() ? authorAccount : authorChannel"
        >
          @if (displayOwnerAccount()) {
            {{ authorAccount }}
          } @else if (displayOwnerVideoChannel()) {
            {{ authorChannel }}
          }
        </my-link>

        <my-actor-host *ngIf="!video().isLocal" [host]="video().account.host"></my-actor-host>
      </div>
    </div>

    <div class="video-name-container">
      <my-link
        [internalLink]="videoRouterLink" [href]="videoHref" [target]="videoTarget" inheritParentStyle="true"
        [ariaLabel]="getAriaLabel()"
        [title]="video().name" class="video-name" className="ellipsis-multiline-2" [ngClass]="{ 'blur-filter': isVideoBlur }"
      >
        {{ video().name }}
      </my-link>

      <div class="video-actions">
        <my-video-actions-dropdown
          *ngIf="showActions" [video]="video()" [displayOptions]="videoActionsDisplayOptions()" placement="bottom-left bottom-right left auto"
          (videoRemoved)="onVideoRemoved()" (videoBlocked)="onVideoBlocked()" (videoUnblocked)="onVideoUnblocked()" (videoAccountMuted)="onVideoAccountMuted()"
        ></my-video-actions-dropdown>
      </div>
    </div>

    <div class="date-and-views">
      <my-date-toggle *ngIf="displayOptions().date" [date]="video().publishedAt"></my-date-toggle>

      <span class="views">
        <ng-container *ngIf="displayOptions().date && displayOptions().views"> • </ng-container>

        <my-video-views-counter *ngIf="displayOptions().views" [isLive]="video().isLive" [viewers]="video().viewers" [views]="video().views"></my-video-views-counter>
      </span>
    </div>

    <div class="video-info-privacy fw-semibold">
      <ng-container *ngIf="displayOptions().privacyText">{{ video().privacy.label }}</ng-container>
      <ng-container *ngIf="displayOptions().privacyText && displayOptions().state && getStateLabel(video())"> - </ng-container>
      <ng-container *ngIf="displayOptions().state">{{ getStateLabel(video()) }}</ng-container>
    </div>

    <div *ngIf="containedInPlaylists()" class="badges">
      <a *ngFor="let playlist of containedInPlaylists()" class="pt-badge badge-secondary" [routerLink]="['/w/p/', playlist.playlistShortUUID]">
        {{ playlist.playlistDisplayName }}
      </a>

      <span *ngIf="displayOptions().blacklistInfo && video().blacklisted" class="pt-badge badge-danger video-info-blocked">
        <span class="fw-semibold" i18n>Blocked</span>
        <span *ngIf="video().blacklistedReason"> - {{ video().blacklistedReason }}</span>
      </span>

      <span i18n *ngIf="displayOptions().nsfw && video().nsfw" class="pt-badge badge-danger video-info-nsfw">Sensitive</span>
    </div>
  </div>
</div>
